# JSN SR-04T

This provides a simple driver for JSN SR-04T board, which reads distance using ultrasonic transducter.

## Usage

Classical Arduino usage. In your sketch :

### Include the header

```c++
#include <jsnsr04t.h>
```

### Object declaration

Before your sketch start, instanciates the object : 

```c++

#define ECHO_PIN 2
#define TRIGGER_PIN 4

JsnSr04T ultrasonicSensor(ECHO_PIN, TRIGGER_PIN);

```
_Note : this is using defined constants for pin layout readability, you can skip this step if you feel more confortable with direct numbers._

### Setup

Use the `begin` method :

```c++
void setup()
{
  ultrasonicSensor.begin();
}
```

This will create the needed setup regarding the pin layout, using the pin numbers you provided above.

### Read distance

In the `loop` method, use the `readDistance` method. It will return the distance found between obstacle and sensor in cm.
```c++
void loop()
{
  int distanceInCm = ultrasonicSensor.readDistance();
}

## Example

Example folder contains one basic test. You will find an simple implementation with distance written to serial port.