/*
  jsnsr04t.cpp - Library for using ultrasonic sensor driver JSN-SR-04T.
  Created by Overflaw, August 28, 2023
  Released into the public domain.
*/
#include "Arduino.h"
#include "jsnsr04t.h"

JsnSr04T::JsnSr04T(int echoPin, int triggerPin)
{
    _echoPin = echoPin;
    _triggerPin = triggerPin;
}

void JsnSr04T::begin()
{
    pinMode(_triggerPin, OUTPUT);
    pinMode(_echoPin, INPUT);
}

int JsnSr04T::readDistance()
{
    // Create trigger pulse
    digitalWrite(_triggerPin, LOW);
    delayMicroseconds(2);               
    digitalWrite(_triggerPin, HIGH);
    delayMicroseconds(30);              
    digitalWrite(_triggerPin, LOW);     
    

    // If pulse reached the receiver ECHO_PIN
    // become high Then pulseIn() returns the
    // time taken by the pulse to reach the
    // receiver

    long duration = pulseIn(_echoPin, HIGH);
    /*Serial.print("Duration received : ");
    Serial.println(duration);*/
    int distance = duration * 0.0344 / 2; // Expression to calculate
    // distance using time

    //Serial.print("Distance: ");
    //Serial.print(distance); // Print the output in serial monitor
    //Serial.println(" cm");
    //delay(500);

    return distance;
}
